---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Provide a single resource - Document

Retrieves a Document resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/documents/{id}": {
      "get": {
        "operationId": "getDocumentItem",
        "tags": [
          "Document"
        ],
        "responses": {
          "200": {
            "description": "Document resource",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Document.DocumentOutput.jsonld-document.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/Document.DocumentOutput-document.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Document.DocumentOutput-document.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/Document.DocumentOutput-document.output"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Provide a single resource - Document",
        "description": "Retrieves a Document resource.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Resource identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "X-Quable-Locale",
            "in": "header",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "AttributeSet-document.output": {
        "type": "object",
        "description": "",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "AttributeSet.jsonld-document.output": {
        "type": "object",
        "description": "",
        "required": [
          "id"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "Classification.ClassificationOutput-document.output": {
        "type": "object",
        "properties": {
          "catalogId": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Classification.ClassificationOutput.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "catalogId": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Color": {
        "type": "string",
        "pattern": "^#[0-9A-F]{6}$",
        "example": "#4DABF7",
        "default": "#4DABF7"
      },
      "Document.DocumentOutput-document.output": {
        "type": "object",
        "properties": {
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "attributes": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "type": "string"
              }
            }
          },
          "documentType": {
            "readOnly": true,
            "$ref": "#/components/schemas/DocumentType-document.output"
          },
          "attributeSet": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/AttributeSet-document.output"
              }
            ]
          },
          "classifications": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Classification.ClassificationOutput-document.output"
            }
          },
          "documentLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput-document.output"
            }
          },
          "assetLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput-document.output"
            }
          },
          "workflows": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Workflow.WorkflowOutput-document.output"
            }
          },
          "tags": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Tag-document.output"
            }
          },
          "completenesses": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "type": "number"
              }
            }
          },
          "variants": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Variant.VariantOutput-document.output"
            }
          },
          "mainAssetThumbnailUrl": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Document.DocumentOutput.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "attributes": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "type": "string"
              }
            }
          },
          "documentType": {
            "readOnly": true,
            "$ref": "#/components/schemas/DocumentType.jsonld-document.output"
          },
          "attributeSet": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/AttributeSet.jsonld-document.output"
              }
            ]
          },
          "classifications": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Classification.ClassificationOutput.jsonld-document.output"
            }
          },
          "documentLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput.jsonld-document.output"
            }
          },
          "assetLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput.jsonld-document.output"
            }
          },
          "workflows": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Workflow.WorkflowOutput.jsonld-document.output"
            }
          },
          "tags": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Tag.jsonld-document.output"
            }
          },
          "completenesses": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "type": "number"
              }
            }
          },
          "variants": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Variant.VariantOutput.jsonld-document.output"
            }
          },
          "mainAssetThumbnailUrl": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "DocumentType-document.output": {
        "type": "object",
        "properties": {
          "default": {
            "example": false,
            "default": false,
            "type": "boolean",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 120,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        },
        "required": [
          "id"
        ]
      },
      "DocumentType.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "default": {
            "example": false,
            "default": false,
            "type": "boolean",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 120,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        },
        "required": [
          "id"
        ]
      },
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "LanguageTranslation": {
        "type": "object",
        "description": "This structure does accept key & values where key has to be a language code configured in your PIM & the value is the value for this field in this language.",
        "properties": {
          "fr-FR": {
            "type": "string",
            "example": "fr-FR translation"
          },
          "en-US": {
            "type": "string",
            "example": "en-US translation"
          }
        },
        "additionalProperties": {
          "type": "string",
          "example": "additional translation"
        },
        "example": {
          "fr-FR": "fr-FR translation",
          "en-US": "en-US translation",
          "<*>": "..."
        }
      },
      "Link.LinkOutput-document.output": {
        "type": "object",
        "properties": {
          "linkType": {
            "readOnly": true,
            "$ref": "#/components/schemas/LinkType.LinkTypeOutput-document.output"
          },
          "origin": {
            "readOnly": true,
            "type": "string"
          },
          "target": {
            "readOnly": true,
            "type": "string"
          },
          "sequence": {
            "readOnly": true,
            "type": "integer"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Link.LinkOutput.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "linkType": {
            "readOnly": true,
            "$ref": "#/components/schemas/LinkType.LinkTypeOutput.jsonld-document.output"
          },
          "origin": {
            "readOnly": true,
            "type": "string"
          },
          "target": {
            "readOnly": true,
            "type": "string"
          },
          "sequence": {
            "readOnly": true,
            "type": "integer"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "LinkType.LinkTypeOutput-document.output": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "LinkType.LinkTypeOutput.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "Tag-document.output": {
        "type": "object",
        "description": "Data for Tag object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "Tag.jsonld-document.output": {
        "type": "object",
        "description": "Data for Tag object",
        "required": [
          "id"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "Variant.VariantOutput-document.output": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Variant.VariantOutput.jsonld-document.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Workflow.WorkflowOutput-document.output": {
        "type": "object",
        "description": "Data for Workflow object. Use either only the chart attribute or WorkflowStep & WorkflowTransition, as chart has priority and will 'erase' the others",
        "properties": {
          "steps": {
            "type": "array",
            "description": "List of Workflow Steps",
            "items": {
              "$ref": "#/components/schemas/WorkflowStep"
            }
          },
          "transitions": {
            "type": "array",
            "description": "List of Workflow Transitions",
            "items": {
              "$ref": "#/components/schemas/WorkflowTransition"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Workflow.WorkflowOutput.jsonld-document.output": {
        "type": "object",
        "description": "Data for Workflow object. Use either only the chart attribute or WorkflowStep & WorkflowTransition, as chart has priority and will 'erase' the others",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "steps": {
            "type": "array",
            "description": "List of Workflow Steps",
            "items": {
              "$ref": "#/components/schemas/WorkflowStep"
            }
          },
          "transitions": {
            "type": "array",
            "description": "List of Workflow Transitions",
            "items": {
              "$ref": "#/components/schemas/WorkflowTransition"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "WorkflowStep": {
        "type": "object",
        "description": "Structure of a Workflow Step",
        "required": [
          "id",
          "name",
          "default"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier"
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation"
          },
          "description": {
            "$ref": "#/components/schemas/LanguageTranslation"
          },
          "color": {
            "$ref": "#/components/schemas/Color"
          },
          "default": {
            "type": "boolean",
            "default": false
          }
        }
      },
      "WorkflowTransition": {
        "type": "object",
        "description": "Structure of a Workflow Transition",
        "required": [
          "id",
          "name",
          "originStepId",
          "targetStepId"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier"
          },
          "name": {
            "$ref": "#/components/schemas/LanguageTranslation"
          },
          "originStepId": {
            "type": "string",
            "description": "Unique resource identifier for the origin Workflow Step point of the transition. It must be defined in the \"steps\" list",
            "example": "origin_step_identifier"
          },
          "targetStepId": {
            "type": "string",
            "description": "Unique resource identifier for the target/destination Workflow Step point of the transition. It can be the same as the origin. It must be defined in the \"steps\" list",
            "example": "target_step_identifier"
          },
          "permissionFeatures": {
            "type": "array",
            "example": [
              "permission_feature_identifier_1",
              "permission_feature_identifier_2"
            ],
            "items": {
              "type": "string",
              "description": "Unique resource identifier of a Permission Feature"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```